from tkinter import *
import os
from PIL import Image, ImageTk

class Application:

	def __init__(self):

		#creer la fenetre
		self.window = Tk()
		self.window.title("Help")
		self.window.geometry("1152x768")
		self.window.resizable(width=0, height=0)
		self.window.config(background='#009CDD')
		self.window.iconbitmap("Polytech_Angers.ico")

		#zone de texte
		self.label1 = Label(self.window,bg='white',font = ('Sans','60','bold'),fg='#004A75')
		self.label1.configure(text = "                                                             Need help ?                                                             ")
		self.label1.pack()

		self.label2 = Label(self.window,bg='#009CDD',fg='white',font = ('Sans','30','bold'))
		self.label2.configure(text = "- SIR model -")
		self.label2.pack(expand=YES)

		self.label4 = Label(self.window,wraplength=1100,justify='left',text ="When you click on the \"SIR Model\" button, a pixelated map of France appears. The green pixels represent the healthy population. Before launching the simulation, you must add infected pixels by clicking on those of your choice. They will appear in red and you can remove them by clicking on them again. In addition, you can choose the transsimition coeddicient in %. It represents the chance for the disease to be transmitted during a contact between a healthy pixel and another infected pixel. The simulation also allows you to choose the period of transmissibility in days, which represents the number of days an individual remains infected. You can also consider the mortality of the disease. During the simulation, the dead pixels will be in black and the recovered ones in grey.At the end of the simulation, a graph will appear to show you the results of the simulation and the results of the SIR model obtained using the mathematical model. The \"Reset\" button resets the map to zero and the \"Pause\" button interrupts the simulation.",bg='#009CDD',fg='white',font = ('Sans','15','bold'))
		self.label4.pack()

		self.label3 = Label(self.window,bg='#009CDD',fg='white',font = ('Sans','30','bold'))
		self.label3.configure(text = "- Cellular automata -")
		self.label3.pack(expand=YES)

		self.label5 = Label(self.window,wraplength=1100,justify='left',text ="The simulation you get by clicking on \"Cellular automata\" will allow you to simulate the following cellular automata: the Game of life, the Parity counter and the Majority rule. All you have to do is click on the corresponding buttons. But first, you have to place living cells in the area delimited by the gray outlines. You can click in this area to place black pixels or remove them by clicking on them again. You can also click on \"Random cells\" to place black pixels randomly in the area. The \"Reset\" button clears all black pixels from the area and the \"Pause\" button pauses the simulation.",bg='#009CDD',fg='white',font = ('Sans','15','bold'))
		self.label5.pack()

		self.bouton4=Button(self.window,text='Quit',command=lambda :self.quitter(),height=2,width=25,fg='#004A75',font = ('Sans','30','bold')).pack(expand=YES)


	def quitter(self):
		self.window.destroy()


if __name__ == "__main__":
    app=Application()
    app.window.mainloop()